Subject: Need Help with a Kawasaki Gasoline Converted to Propane Generator

From: [email-masked] (Gary A. Edelstein)
Date: 25 Nov 1996 19:33:25 GMT

Hello,

I have a friend w/o internet access in southwestern Wisconsin with a
Kawasaki 5000 watt gasoline generator that's been converted to
propane.  He is having exhaust valve seizure problems.  The propane
conversion unit is manufactured by Garrettson Equipment Co. (or some
similar name).

He would like someone to be able to contact who has experience with
this sort of engine and/or problem.  Please email me if you have any
tips and/or provide your name and phone number so he can contact
you.  Thanks, Gary E